import { IStorage, StorageOptions } from 'distributed-locks-common';
export declare class PostgresqlStorage implements IStorage {
    private keyPrefix;
    private tableName;
    private primaryKeyConstraint;
    private client;
    constructor(options: {
        url?: string;
        keyPrefix?: string;
        port: number;
        host: string;
        database: string;
        username: string;
        password: string;
        tableName?: string;
    });
    init(): Promise<void>;
    /**
     *
     * @param key
     * @param {{ttl: number}} options make sure ttl is more than the time it takes to complete the operation
     * so the lock won't unlock until the operation is done
     * @returns
     */
    set(key: string, value: string, options: StorageOptions): Promise<boolean>;
    unSet(key: string, value: string): Promise<boolean>;
    close(): Promise<void>;
    private constructKey;
}
//# sourceMappingURL=index.d.ts.map